> ## Name

> cgGetNamedProgramParameter - get a program parameter by name

> ## Synopsis

>     #include <Cg/cg.h>

>     CGparameter cgGetNamedProgramParameter( CGprogram program,
>                                             CGenum name_space,
>                                             const char * name );

> ## Parameters

> program
>   The program from which to retrieve the parameter.
> name_space
>   Specifies the namespace of the parameter to iterate through. Currently CG_PROGRAM and CG_GLOBAL are supported.
> name
>   Specifies the name of the parameter to retrieve.

> ## Return Values

> Returns the named parameter from the program.

> Returns NULL if the program has no parameter corresponding to name.

> ## Description

> cgGetNamedProgramParameter is essentially identical to cgGetNamedParameter except it limits the search of the parameter to the name space specified by name_space.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> ## History

> cgGetNamedProgramParameter was introduced in Cg 1.2.

> ## See Also

> cgGetNamedParameter